summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author V'yacheslav Stetskevych2011-01-12 06:21:15 +0100
committer Robby Workman2011-01-12 06:21:15 +0100
commitc3d2f9dc3cca26332d339f1dce6613b763494082 (patch)
treeb8cc18328811287503f8ea7fd7c81f87d6f68d7f /system
parentfa25ab68b109bacd382ef7389faa5b788801ac1e (diff)
downloadslackbuilds-c3d2f9dc3cca26332d339f1dce6613b763494082.tar.gz
system/xinput_calibrator: Added (generic touchscreen calibrator)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/xinput_calibrator/README7
-rw-r--r--system/xinput_calibrator/doinst.sh3
-rw-r--r--system/xinput_calibrator/slack-desc19
-rw-r--r--system/xinput_calibrator/xinput_calibrator.SlackBuild101
-rw-r--r--system/xinput_calibrator/xinput_calibrator.info10
5 files changed, 140 insertions, 0 deletions
diff --git a/system/xinput_calibrator/README b/system/xinput_calibrator/README
new file mode 100644
index 0000000000..8f3bec4721
--- /dev/null
+++ b/system/xinput_calibrator/README
@@ -0,0 +1,7 @@
+xinput_calibrator (generic touchscreen calibrator for xorg)
+
+Fills the gap of touchscreen calibration software, featuring:
+* works for any standard Xorg touchscreen driver (uses XInput)
+* mis-click detection (prevents bogus calibration)
+* dynamically recalibrates the evdev driver
+* outputs the calibration as xorg.conf.d snippet or HAL policy file
diff --git a/system/xinput_calibrator/doinst.sh b/system/xinput_calibrator/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/system/xinput_calibrator/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/system/xinput_calibrator/slack-desc b/system/xinput_calibrator/slack-desc
new file mode 100644
index 0000000000..52642db045
--- /dev/null
+++ b/system/xinput_calibrator/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+xinput_calibrator: xinput_calibrator (generic touchscreen calibrator for xorg)
+xinput_calibrator:
+xinput_calibrator: Fills the gap of touchscreen calibration software, featuring:
+xinput_calibrator: * works for any standard Xorg touchscreen driver (uses XInput)
+xinput_calibrator: * mis-click detection (prevents bogus calibration)
+xinput_calibrator: * dynamically recalibrates the evdev driver
+xinput_calibrator: * outputs the calibration as xorg.conf.d snippet or HAL policy file
+xinput_calibrator: * and more
+xinput_calibrator:
+xinput_calibrator: Homepage: http://www.freedesktop.org/wiki/Software/xinput_calibrator
+xinput_calibrator:
diff --git a/system/xinput_calibrator/xinput_calibrator.SlackBuild b/system/xinput_calibrator/xinput_calibrator.SlackBuild
new file mode 100644
index 0000000000..550eef9304
--- /dev/null
+++ b/system/xinput_calibrator/xinput_calibrator.SlackBuild
@@ -0,0 +1,101 @@
+#!/bin/sh
+
+# Slackware build script for xinput_calibrator
+# Copyright 2010 V'yacheslav Stetskevych <slava18@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=xinput_calibrator
+VERSION=${VERSION:-0.7.5}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./autogen.sh \
+ --prefix=$PKG/usr \
+ --mandir=$PKG/usr/man \
+ --with-gui=x11 \
+ --build=$ARCH-slackware-linux
+
+make
+make install
+
+install -m 0755 scripts/xinput_calibrator{_get_hal_calibration.sh,_pointercal.sh} \
+ $PKG/usr/bin/
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ COPYING Changelog README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/xinput_calibrator/xinput_calibrator.info b/system/xinput_calibrator/xinput_calibrator.info
new file mode 100644
index 0000000000..384640b491
--- /dev/null
+++ b/system/xinput_calibrator/xinput_calibrator.info
@@ -0,0 +1,10 @@
+PRGNAM="xinput_calibrator"
+VERSION="0.7.5"
+HOMEPAGE="http://www.freedesktop.org/wiki/Software/xinput_calibrator"
+DOWNLOAD="http://github.com/downloads/tias/xinput_calibrator/xinput_calibrator-0.7.5.tar.gz"
+MD5SUM="20da0a2055a5a75962add8c6b44f60fa"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="V'yacheslav Stetskevych"
+EMAIL="slava18@gmail.com"
+APPROVED="rworkman"